package com.fs.hisStore.mapper;

import com.fs.hisStore.domain.FsFollowTempScrm;
import com.fs.his.vo.OptionsVO;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 随访模板Mapper接口
 *
 * @author fs
 * @date 2023-07-14
 */
public interface FsFollowTempScrmMapper
{
    /**
     * 查询随访模板
     *
     * @param tempId 随访模板主键
     * @return 随访模板
     */
    public FsFollowTempScrm selectFsFollowTempByTempId(Long tempId);

    /**
     * 查询随访模板列表
     *
     * @param fsFollowTemp 随访模板
     * @return 随访模板集合
     */
    public List<FsFollowTempScrm> selectFsFollowTempList(FsFollowTempScrm fsFollowTemp);

    /**
     * 新增随访模板
     *
     * @param fsFollowTemp 随访模板
     * @return 结果
     */
    public int insertFsFollowTemp(FsFollowTempScrm fsFollowTemp);

    /**
     * 修改随访模板
     *
     * @param fsFollowTemp 随访模板
     * @return 结果
     */
    public int updateFsFollowTemp(FsFollowTempScrm fsFollowTemp);

    /**
     * 删除随访模板
     *
     * @param tempId 随访模板主键
     * @return 结果
     */
    public int deleteFsFollowTempByTempId(Long tempId);

    /**
     * 批量删除随访模板
     *
     * @param tempIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFsFollowTempByTempIds(Long[] tempIds);
    @Select("SELECT `name` dictLabel,temp_id dictValue  FROM fs_follow_temp")
    List<OptionsVO> selectAllFsFollowTempList();
    @Select("select *  FROM fs_follow_temp where name=#{name}")
    FsFollowTempScrm selectFsFollowTempByTempName(String name);

}
